Chat

Author Topic: Deflemask not opening on KDE Neon 18.04  (Read 355 times)

Offline Nostalgia Ninja

  • Newbie
  • Posts: 3
  • Delek FTW
Deflemask not opening on KDE Neon 18.04
« on: June 02, 2019, 05:06:35 pm »
Hi

I've been trying to run Deflemask on KDE Neon 18.04 but the libGLU file seems to fail to load the application.  I have attached the terminal output with the error as well as a whereis of the file and information on what my system is running.

Offline Nostalgia Ninja

  • Newbie
  • Posts: 3
  • Delek FTW
Deflemask not opening on KDE Neon 18.04
« Reply #1 on: July 09, 2019, 01:45:35 pm »
So, I tested the app again on x64 (64-bit) versions of Linux - They didn't work.  (This was tested with Mageia 7 - released a few days ago, Ubuntu 19.04 x64, and KDE Neon 18.04 x64)

Today I tested the app on an x86 (32-bit) version of Linux - Worked (This was tested with OpenSuse x86)

I guess this means an x64 (64-bit) version needs to be built in order to have it work on my daily driver.

Offline Sevish

  • Newbie
  • Posts: 1
  • Delek FTW
Deflemask not opening on KDE Neon 18.04
« Reply #2 on: September 06, 2019, 08:21:44 pm »
Hey Nostalgia Ninja, I'm not sure if you already gave up on running Deflemask on KDE Neon 64-bit. But the follow thread worked for me:

http://www.deflemask.com/forum/general/(how-to)-run-deflemask-on-ubuntu-64-bit/

Basically you need to install the following dependencies - then it just works!

sudo apt-get install freeglut3 libsdl1.2debian:i386 libgtk2.0-0:i386

I'm using KDE Neon 18.04. Also bought the Deflemask Android app today (going on holiday soon, want to make some FM tunes).

Offline Nostalgia Ninja

  • Newbie
  • Posts: 3
  • Delek FTW
Deflemask not opening on KDE Neon 18.04
« Reply #3 on: September 06, 2019, 08:37:55 pm »
Hey Nostalgia Ninja, I'm not sure if you already gave up on running Deflemask on KDE Neon 64-bit. But the follow thread worked for me:

http://www.deflemask.com/forum/general/(how-to)-run-deflemask-on-ubuntu-64-bit/

Basically you need to install the following dependencies - then it just works!

sudo apt-get install freeglut3 libsdl1.2debian:i386 libgtk2.0-0:i386

I'm using KDE Neon 18.04. Also bought the Deflemask Android app today (going on holiday soon, want to make some FM tunes).

Hey, thanks for answering the question.  the Deflemask Discord answered the question in the meantime and gave the same command.  Works nicely!